####spiroplasma titre analysis 

##read in data
titre<-read.table("titre.txt",header=T)
titre
attach(titre)

require(ggplot2)

hist(ratio)

### Need to add one to the data to deal with zero values from the non-infected
### flies from the 21 no wasp  treatment for gamma distribution. 


ratio2 <- ratio+1
ratio2
hist(ratio2)

m1<- glm(ratio2~wasp*as.factor(temperature), family = Gamma(), data = titre)
car::Anova(m1, test.statistic = "Wald")
summary(m1)


par(mfrow =c(2,2))
plot(m1)


### summary statistics

library(dplyr)

titre %>%
  group_by(wasp, temperature) %>%
  summarize(avg=mean(norm_ratio), n=n(), sd=sd(norm_ratio), se=sd/sqrt(n))

titre %>%
  group_by(temperature) %>%
  summarize(avg=mean(norm_ratio), n=n(), sd=sd(norm_ratio), se=sd/sqrt(n))


titre %>%
  group_by(wasp) %>%
  summarize(avg=mean(ratio), n=n(), sd=sd(ratio), se=sd/sqrt(n))






